' LOCATE-3.BAS
' This program demonstrates simple animation.

CLS

LOCATE 10, 1            ' position the first X
PRINT "X"
FOR i% = 2 TO 80        ' loop through the rest
    LOCATE 10, i%
    PRINT "X"           ' print an X next to the previous X
    LOCATE 10, i% - 1
    PRINT " "           ' "erase" the previous X
   
    FOR j% = 1 TO 300   ' delay loop
    NEXT j%

NEXT i%

